Page MenuHomePhabricator

Develop the content packs endpoint response schema
Closed, ResolvedPublic2 Story Points

Description

WIP schema is at https://www.mediawiki.org/wiki/User:MHolloway_(WMF)/Drafts/Compilation_endoint_schema

Initial data:

  • Name
  • Download URL
  • Thumbnail icon
  • File size
  • Date (version)
  • Short description/Summary
  • Large image
  • Long description
  • Number of articles

Related: T169905

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 21 2017, 8:30 PM
NHarateh_WMF renamed this task from Create a prototype content service end point that gives a list of compilations to Develop the schema for compilations.Apr 24 2017, 4:06 PM
NHarateh_WMF moved this task from Backlog to M on the android-task-estimation board.
RHo updated the task description. (Show Details)Jun 9 2017, 4:45 PM
Mholloway renamed this task from Develop the schema for compilations to Develop the compilations endpoint response schema.Jul 18 2017, 5:16 PM
Mholloway updated the task description. (Show Details)
Mholloway updated the task description. (Show Details)Jul 18 2017, 6:25 PM
Mholloway added subscribers: RHo, Dbrant.EditedJul 28 2017, 12:58 PM

@Dbrant @RHo In the schema I have the "large image" interpreted as the original, full-size image. I see that @Dbrant has interpreted it as a feature-image size thumbnail, which is larger than the "thumbnail icon" size but potentially still much smaller than the original. Header-size and not original size makes more sense to me. Let's go with that, then?

Yep, sounds right. In what context(s) was the original-size image intended to be used? (If there are such contexts, then we should probably keep the original-size url in a separate parameter.)

RHo added a comment.Jul 28 2017, 1:50 PM

The idea is for the large size image to be the "lead image" on the compilation details screen. I think we should consider a case where a compilation uses a different large image to the thumbnail as well.

An example might be the WikiMed logo for the thumb, and a richer image for the details screen:

Thumbnail in list
Wikimed details large image

Cool. I've now got 320px as the "thumb" size and 640px as the "feature" size.

And yes, @RHo, I'm fine with letting them be different images—makes life easier, actually.

Mholloway renamed this task from Develop the compilations endpoint response schema to Develop the content packs endpoint response schema.Aug 11 2017, 12:52 PM
Mholloway updated the task description. (Show Details)

I believe there's nothing left to do on this.

Dbrant closed this task as Resolved.Aug 29 2017, 12:10 PM